Page MenuHomePhabricator

SyntaxError in Mobile-Content-Service
Closed, ResolvedPublic

Description

When accessing the following URL curl http://appservice.wmflabs.org/ur.wikipedia.org/v1/page/mobile-sections/%D8%A2%D8%A6%DB%8C%D9%88%D8%B1%DB%8C_%DA%A9%D9%88%D8%B3%D9%B9 the following error happens:

[2017-02-28T17:56:46.402Z] ERROR: mobileapps/102 on scb1003: 500: internal_error (message="500: internal_error", status=500, type=internal_error, detail="Bad combinator.", levelPath=error/500, request_id=4537bbe3-fddf-11e6-917b-9bcb8495f997)
    stack: SyntaxError: Bad combinator.
        at compile (/srv/deployment/mobileapps/deploy-cache/revs/872a61570c34c8e4b25c3b8ca4d8f0b59d2a1a40/node_modules/domino/lib/select.js:697:35)
        at find (/srv/deployment/mobileapps/deploy-cache/revs/872a61570c34c8e4b25c3b8ca4d8f0b59d2a1a40/node_modules/domino/lib/select.js:844:14)
        at exports (/srv/deployment/mobileapps/deploy-cache/revs/872a61570c34c8e4b25c3b8ca4d8f0b59d2a1a40/node_modules/domino/lib/select.js:890:10)
        at Object.value (/srv/deployment/mobileapps/deploy-cache/revs/872a61570c34c8e4b25c3b8ca4d8f0b59d2a1a40/node_modules/domino/lib/Document.js:628:12)

I would guess the problem is in the domino library..

Event Timeline

mobrovac triaged this task as High priority.Mar 6 2017, 5:41 PM
mobrovac added subscribers: Mholloway, bearND.
bearND lowered the priority of this task from High to Medium.Mar 7 2017, 6:26 PM

This works fine in prod: https://ur.wikipedia.org/api/rest_v1/page/mobile-sections/%D8%A2%D8%A6%DB%8C%D9%88%D8%B1%DB%8C_%DA%A9%D9%88%D8%B3%D9%B9

Weird. I checked domino version numbers and it looks to be the same as on my machine and as in prod @1.0.28. No idea right now why this fails in labs.

@bearND Hm, the page wasn't edited recently, so perhaps some template it uses was edited? Not sure how to find it any more..

If the page hasn't been edited recently, then what you get @bearND is the version stored in RESTBase, you are probably not hitting the service itself, so that does not confirm nor deny whether it is actually working in prod.

@bearND You can still reproduce by going on an sub node and requesting the page locally:

curl http://localhost:8888/ur.wikipedia.org/v1/page/mobile-sections/%D8%A2%D8%A6%DB%8C%D9%88%D8%B1%DB%8C_%DA%A9%D9%88%D8%B3%D9%B9
mobrovac raised the priority of this task from Medium to High.Mar 8 2017, 12:11 AM

Upping priority since it's been confirmed in production.

Change 342573 had a related patch set uploaded (by BearND):
[mediawiki/services/mobileapps] Fix pronunciation parsing issues

https://gerrit.wikimedia.org/r/342573

Change 342573 merged by jenkins-bot:
[mediawiki/services/mobileapps] Fix pronunciation parsing issues

https://gerrit.wikimedia.org/r/342573

I guess the patch was deployed and I haven't seen these errors in the RB logs for a while, so the issue can be closed.